package com.ruoyi.jarvis.mapper;

import java.util.List;
import com.ruoyi.jarvis.domain.XbGroup;

/**
 * 线报群信息Mapper接口
 *
 * @author ruoyi
 */
public interface XbGroupMapper
{
    /**
     * 查询线报群信息
     *
     * @param id 线报群信息主键
     * @return 线报群信息
     */
    public XbGroup selectXbGroupById(Integer id);

    /**
     * 查询线报群信息列表
     *
     * @param xbGroup 线报群信息
     * @return 线报群信息集合
     */
    public List<XbGroup> selectXbGroupList(XbGroup xbGroup);

    /**
     * 新增线报群信息
     *
     * @param xbGroup 线报群信息
     * @return 结果
     */
    public int insertXbGroup(XbGroup xbGroup);

    /**
     * 修改线报群信息
     *
     * @param xbGroup 线报群信息
     * @return 结果
     */
    public int updateXbGroup(XbGroup xbGroup);

    /**
     * 删除线报群信息
     *
     * @param id 线报群信息主键
     * @return 结果
     */
    public int deleteXbGroupById(Integer id);

    /**
     * 批量删除线报群信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteXbGroupByIds(Integer[] ids);
}
